Module tdlight.api
Package it.tdlight.jni

# Class TdApi.BusinessRecipients

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.BusinessRecipients

Enclosing class:
  TdApi

public static final class TdApi.BusinessRecipients extends TdApi.Object
Describes private chats chosen for automatic interaction with a business.

## Field Summary

Fields
Modifier and Type
Field
Description
`long[]`
`chatIds`
Identifiers of selected private chats.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`boolean`
`excludeSelected`
If true, then all private chats except the selected are chosen.
`boolean`
`selectContacts`
True, if all private chats with contacts are selected.
`boolean`
`selectExistingChats`
True, if all existing private chats are selected.
`boolean`
`selectNewChats`
True, if all new private chats are selected.
`boolean`
`selectNonContacts`
True, if all private chats with non-contacts are selected.

## Constructor Summary

Constructors
Constructor
Description
`BusinessRecipients()`
Describes private chats chosen for automatic interaction with a business.
`BusinessRecipients(long[] chatIds, boolean selectExistingChats, boolean selectNewChats, boolean selectContacts, boolean selectNonContacts, boolean excludeSelected)`
Describes private chats chosen for automatic interaction with a business.
`BusinessRecipients(DataInput input)`
Describes private chats chosen for automatic interaction with a business.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatIds

public long[] chatIds
Identifiers of selected private chats.

### selectExistingChats

public boolean selectExistingChats
True, if all existing private chats are selected.

### selectNewChats

public boolean selectNewChats
True, if all new private chats are selected.

### selectContacts

public boolean selectContacts
True, if all private chats with contacts are selected.

### selectNonContacts

public boolean selectNonContacts
True, if all private chats with non-contacts are selected.

### excludeSelected

public boolean excludeSelected
If true, then all private chats except the selected are chosen. Otherwise, only the selected chats are chosen.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### BusinessRecipients

public BusinessRecipients()
Describes private chats chosen for automatic interaction with a business.

### BusinessRecipients

public BusinessRecipients(long[] chatIds, boolean selectExistingChats, boolean selectNewChats, boolean selectContacts, boolean selectNonContacts, boolean excludeSelected)
Describes private chats chosen for automatic interaction with a business.

Parameters:
  `chatIds` - Identifiers of selected private chats.
  `selectExistingChats` - True, if all existing private chats are selected.
  `selectNewChats` - True, if all new private chats are selected.
  `selectContacts` - True, if all private chats with contacts are selected.
  `selectNonContacts` - True, if all private chats with non-contacts are selected.
  `excludeSelected` - If true, then all private chats except the selected are chosen. Otherwise, only the selected chats are chosen.

### BusinessRecipients

public BusinessRecipients(DataInput input) throws IOException
Describes private chats chosen for automatic interaction with a business.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`